<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/list_bg"
    android:orientation="vertical"
    tools:context=".activity.GoutTransferActivity">

    <include layout="@layout/title_tool_bar" />

    <!--    搜索条件区域-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/list_bg"
        android:orientation="vertical"
        android:paddingLeft="20dp"
        android:paddingTop="10dp"
        android:paddingRight="20dp"
        android:paddingBottom="10dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <!--            航班日期-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:background="@drawable/bg_search_row"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/fdateParam"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:hint="请输入航班日期"
                    android:singleLine="true"
                    android:textSize="15dp" />

                <ImageView
                    android:id="@+id/fdateIcon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/calendar_icon"
                    app:tint="@color/weak_grey" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="20dp"
                android:layout_height="match_parent" />

            <!--            航班号-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:background="@drawable/bg_search_row">

                <EditText
                    android:id="@+id/fno"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入航班号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textSize="15dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="20dp"
                android:layout_height="match_parent" />
            <!--            板车号-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:background="@drawable/bg_search_row">

                <EditText
                    android:id="@+id/location"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入板车号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textSize="15dp" />

                <ImageView
                    android:id="@+id/locationScan"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:layout_marginRight="10dp"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="10dp"
                android:layout_height="match_parent" />
            <!--            搜索图标-->
            <LinearLayout
                android:id="@+id/search"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:background="@drawable/search_shape_gnc_ware_house2"
                android:padding="10dp">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:src="@mipmap/search"
                    app:tint="@color/colorPrimary" />
            </LinearLayout>

        </LinearLayout>

        <!--列表区域-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_weight="1">

            <com.scwang.smart.refresh.layout.SmartRefreshLayout
                android:id="@+id/refreshLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <com.scwang.smart.refresh.header.ClassicsHeader
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:overScrollMode="never" />

                <com.scwang.smart.refresh.footer.ClassicsFooter
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        </LinearLayout>
    </LinearLayout>


</LinearLayout>